
QGIS Application - Bug report #10459

Clicking the georeferencer plugin doesn't result in any reaction of QGIS

2014-06-04 07:27 AM - Agnis Recs

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:2.2.0 Regression?: No

Operating System: WIN8 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18871

Description

Installation version OSGEO4W 64-bit,

The same problem in both QGIS 2.2 and dev builds versions.

Re-install does not solve the problem as well as plugin reactivation.

I don't have idea what is wrong!

History

#1 - 2014-06-04 02:37 PM - Giovanni Manghi

- Status changed from Open to Feedback

cannot confirm here on Win7. A local issue? try removing/disabling any 3rd party plugin and restart qgis.

#2 - 2014-06-08 02:44 AM - Agnis Recs

- Assignee set to Giovanni Manghi

Full reinstall is done including deletion of C:\\Users\\user\\.qgis2 folder. There is no 3rd party plugin!

#3 - 2014-06-08 04:05 AM - Giovanni Manghi

Agnis Recs wrote:

Full reinstall is done including deletion of C:\\Users\\user\\.qgis2 folder. There is no 3rd party plugin!

it happens on different machines?

#4 - 2014-06-17 06:11 PM - Alasdair Mawdsley

Same issue here on Win7. Georeferencer worked normally when I last used it a month ago but not today. All 3rd party plugins removed and system

rebooted but issue not solved.

#5 - 2014-06-17 11:19 PM - Agnis Recs

- Status changed from Feedback to Closed
- Assignee deleted (Giovanni Manghi)

Yes, it looks like a local issue. The new user account is made and the problem is solved!

#6 - 2014-06-19 07:29 PM - Alasdair Mawdsley

Solved my version of the problem: I work on a laptop. When at my office, the laptop goes in a doc with the screen disabled and I work on two larger

monitors. When I work at remote locations I just work on the lap top itself. When away from the office, working on the lap top it seems as though the

georeferencer window is still opening as if there was an extra monitor attached. I note that, unlike most of the plug ins, no extra icon appears on my task

bar when I open the georeferencer. So the solution to my problem was opening GQIS back at my usual office and finding the georeferencer was there all

along.

Hope that helps

#7 - 2017-03-08 08:43 AM - Jochen Huber

- Status changed from Closed to Reopened

- Target version changed from Version 2.2 to Future Release - Lower Priority

The same issue occurs with QGIS 2.18.4 on Win7x64. The Georeferencer Plugin seems to store the last window location (which is a good thing) but still

opens in this location even if it is off-screen (for example, if it was placed on a second screen which is no longer connected). What makes this especially

confusing is that the plugin window does not appear in the task bar, so for the user it looks as if nothing happens when opening the plugin.

Suggestion:

    -  Make the window visible in windows taskbar

    -  Check on startup whether the saved screen location is still valid, revert to default location if it isn't

#8 - 2017-03-08 08:50 AM - Giovanni Manghi

- Status changed from Reopened to Closed

Jochen Huber wrote:

The same issue occurs with QGIS 2.18.4 on Win7x64. The Georeferencer Plugin seems to store the last window location (which is a good thing)

but still opens in this location even if it is off-screen (for example, if it was placed on a second screen which is no longer connected). What makes

this especially confusing is that the plugin window does not appear in the task bar, so for the user it looks as if nothing happens when opening the

plugin.

Suggestion:    -  Make the window visible in windows taskbar

    -  Check on startup whether the saved screen location is still valid, revert to default location if it isn't

please file a new ticket with a feature request, thanks.
